export default defineNuxtConfig({
  devtools: { enabled: true },
  modules: [
    'nuxt-directus',
    '@nuxt/image',
    '@nuxtjs/seo'
  ],
  app: {
    pageTransition: { name: 'page', mode: 'out-in' }
  },
  site: {
    url: 'https://localhost:3000',
    defaultLocale: 'fr',
    name: 'Mahée Auffret',
    description: 'Portfolio de l\'artiste-peintre basée à Rennes Mahée Auffret'
  },    
  directus: {
    url: "http://localhost:8055/",
    token: process.env.DIRECTUS_API_TOKEN
  },
  image: {
    domains: ['http://localhost:8055/'],
    format: ['webp'],
  }
})
